LSCONV(1)

NAME
lsconv - a program does Log Sweep convolution.

SYNOPSIS
lsconv [parameters] sweepfile inversefile

Usage: lsconv sweepfile inversefile outfile [refsweep mingain [dlstart]]

Example: lsconv sweep.pcm inverse.pcm impulse.pcm refchannel.pcm 0.1 0.8

DESCRIPTION
This manual page documents briefly the lsconv program. This manual page was written for the Debian distribution because the original program does not have a manual page.

lsconv is program to perform accurate time aligned impulse response measurements.

lsconv is based on the log sweep method for impulse response measurement, which is one of the most accurate, especially for acoustic measurements. This method is based on a special signal, which is a logarithmic sinusoidal sweep, that need to be reproduced through the system under test, and an inverse filter, which, when convolved with the measured log sweep, gives back the impulse response of the system.

Files used by lsconv must be in the raw 32 bit floating point format. Use for e.g. sox program for converting if needed.

PARAMETERS

sweepfile: sweep file name
inversefile: inverse sweep file name
outfile: output impulse response file
refsweep: reference channel sweep file name
mingain: min gain for reference channel inversion
dlstart: dip limiting start for reference channel inversion

Refer to html documentation for more details.

SEE ALSO
sox(1).

AUTHOR
This manual page was written by Jaromír Mikeš <mira.mikes@seznam.cz>, for the Debian project (but may be used by others).